/*
 * generated by Xtext 2.21.0
 */
package br.ufes.nemo.seon.ontoloyasservice.ui;

import br.ufes.nemo.seon.ontoloyasaservice.ui.internal.OntoloyasaserviceActivator;
import com.google.inject.Injector;
import org.eclipse.core.runtime.Platform;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class OaasExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return Platform.getBundle(OntoloyasaserviceActivator.PLUGIN_ID);
	}
	
	@Override
	protected Injector getInjector() {
		OntoloyasaserviceActivator activator = OntoloyasaserviceActivator.getInstance();
		return activator != null ? activator.getInjector(OntoloyasaserviceActivator.BR_UFES_NEMO_SEON_ONTOLOYASSERVICE_OAAS) : null;
	}

}
